<p-panel header="Report Payment" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div class="ui-g" style="background-color: white;">
                <div class="col-md-12" style="border: 1px; color: black;">
                    <div class="ui-g-12">
                        <div class="ui-g-4">
                            <label for="field_PIC">Tanggal</label>
                        </div>
                        <div class="ui-g-4">
                            <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" appendTo="body"></p-calendar>
                        </div>
                        <div class="ui-g-4">
                            <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" appendTo="body"></p-calendar>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        </div>
                        <div class="ui-g-8">
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true" tabindex=1></p-autoComplete>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="field_types">Jenis Payment</label>
                        </div>
                        <div class="ui-g-8">
                            <select class="form-control" id="types" name="types" [(ngModel)]="type">
                                <option *ngFor="let typ of types" [value]="typ.value">{{typ.label}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="field_statuses">Status Payment</label>
                        </div>
                        <div class="ui-g-8">
                            <select class="form-control" id="statuses" name="statuses" [(ngModel)]="statuses">
                                <option *ngFor="let sts of statuses" [value]="sts.value">{{sts.label}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="cari" id="cari"
                                name="cari" placeholder="Cari Nomor PO || Tanda Terima || No BBM || Surat Jalan || No Invoice">
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <button pButton label="Download" icon="fa-cogs" class="ui-button-primary flat-label-button"
                            (click)="export()">
                        </button>
                        <!-- </div> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>